!  Copyright Michael S. Briggs, University of Alabama in Huntsville.
!  For NASA's Fermi Gamma-ray Burst Monitor (GBM).
!  copyright 2010 -- 2016.   rev. 2016 Jan 27.

program  Time_to_MET

   use MSB_Constants

   use Time_and_Coord_Routines

   implicit none

   integer (int32) :: year_1
   integer (int32) :: month_1
   integer (int32) :: day_1
   integer (int32) :: hours_1
   integer (int32) :: minutes_1
   real (real64) :: seconds_1

   real (real128) :: GBM_MET


   ! * * * * *  * * * * *  * * * * *  * * * * *  * * * * *  * * * * *


   do

      write (*, '( // "Calendar year, month and day as integers: ")', advance="no" )
      read (*, *)  year_1, month_1, day_1
      write (*, '( / "Input hours, minutes and seconds as integer, integer, real: " )', advance="no" )
      read (*, *) hours_1, minutes_1, seconds_1


      GBM_MET = UTC_to_MET ( year_1, month_1, day_1, hours_1, minutes_1, seconds_1 )

      write (*, '(/ "Answer is MET=", F18.6 )' )  GBM_MET


      end do


end program Time_to_MET
